L'aggiornamento di filesystem richiede un intervento manuale

Tutte le ultime notizie tradotte da archlinux.org
Rispondi
Avatar utente
Giovanni
Developer
Messaggi: 2462
Iscritto il: 26 agosto 2007, 16:33
Località: Livorno
Contatta:

Messaggio da Giovanni » 20 dicembre 2011, 23:09

L'aggiornamento di filesystem-2011.12 provocherà un conflitto con /etc/mtab.

Installate il pacchetto nel seguente modo:

pacman -S filesystem --force

Noi scoraggiamo fortemente l'uso di --force o di -f poiché non è sicuro. Tuttavia, in questo caso particolare, è necessario poiché eliminare manualmente /etc/mtab creerebbe problemi a pacman.

La natura del conflitto è dovuta al fatto che il file utilizzato viene creato all'avvio del sistema e quindi non è di proprietà di nessun pacchetto. Adesso è un link simbolico che punta a /proc/self/mounts di proprietà di filesystem. Con questo cambiamento, initscripts non richiederà più accesso in scrittura a rootfs (anche se altri pacchetti potrebbero ancora richiederlo).

Tom Gundersen
Arch Linux Developer

Rispondi